Name:           myjni
Version:        1.1
Release:        1%{?dist}
Summary:        JNI Example Project

Group:          Development/Libraries
License:        LGPLv3+
URL:            http://www.tuxed.net/jni
Source0:        http://www.tuxed.net/jni/myjni-1.1.tar.gz
Source1:        %{name}
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  jpackage-utils

BuildRequires:  java-devel

BuildRequires:  ant
BuildRequires:  ant-nodeps

Requires:       jpackage-utils

Requires:       java

%description
This is a JNI project to test packaging of JNI applications

%prep
%setup -q

# remove all jar and class files, the snippet from Packaging:Java does 
# not work
find -name '*.jar' -exec rm -f '{}' \;
find -name '*.class' -exec rm -f '{}' \;

%build
ant

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_bindir}

cp -p dist/%{name}-%{version}.jar \
$RPM_BUILD_ROOT%{_libdir}/%{name}/%{name}-%{version}.jar
# create symlink without version
(cd $RPM_BUILD_ROOT%{_libdir}/%{name} && ln -sf %{name}-%{version}.jar %{name}.jar)

cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}
sed -i 's|@LIBDIR@|%{_libdir}/%{name}|g' $RPM_BUILD_ROOT%{_bindir}/%{name}
chmod 0755 $RPM_BUILD_ROOT%{_bindir}/%{name}
cp -p build/c/*.so \
$RPM_BUILD_ROOT%{_libdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_libdir}/%{name}/
%{_bindir}/*

%doc README

%changelog
* Mon Jan 25 2010 François Kooman <fkooman@tuxed.net> - 1.1-1
- update source tar to not include too much crap, fix run script

* Sat Aug 22 2009 François Kooman <fkooman@tuxed.net> - 1.0-1
- initial Fedora package


